package SapforTestingSystem.SapforTasksPackage.UI;
import GlobalData.Tasks.TaskState;
public class StateSummary extends TreeSummary {
    public TaskState state;
    public int count = 0;
    public StateSummary(TaskState state_in) {
        state = state_in;
        refreshText();
    }
    @Override
    public void refreshText() {
        text = state.getDescription() + " : " + count;
    }
    @Override
    public String getImageKey() {
        switch (state) {
            case Done:
                return "DoneStateSummary";
            case DoneWithErrors:
                return "ErrorsStateSummary";
            default:
                return "UnknownStateSummary";
        }
    }
}
